# ApiRangerReplicationImportArgs Data Model

Arguments for IMPORTING Ranger services and policies, executed after EXPORT (see ApiRangerReplicationExportArgs) and TRANSFORM (see ApiRangerReplicationTransformArgs).

Properties
name | data type | description
--- | --- | ---
importStrategy | RangerReplicationImportStrategy | The import strategy to be used, by default it's RangerReplicationImportStrategy#MERGE. For more information about the strategies, see RangerReplicationImportStrategy.
extraAuthSiteProperties | map of string | Extra properties to be put to authorization-migration-site.xml, which is the configuration file used for Ranger import. Default value: null

Example

    {
      "importStrategy" : "OVERRIDE",
      "extraAuthSiteProperties" : {
        "property1" : "...",
        "property2" : "..."
      }
    }